API referenceSequences
Enroll contacts
POST
/sequences/{id}/enrollmentsEnrolls up to 1,000 contacts in an active sequence, ignoring its trigger but honoring its re-entry policy; unsubscribed contacts are skipped.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 64Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/sequences/string/enrollments" \ -H "Content-Type: application/json" \ -d '{ "contacts": [ { "id": "string" } ] }'{ "object": "list", "data": [ { "contact_id": "string", "enrollment_id": "string", "status": "enrolled", "reason": "string" } ]}